Package org.drinkless.tdlib

# Class TdApi.CreateVideoChat

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.GroupCallId>
org.drinkless.tdlib.TdApi.CreateVideoChat

Enclosing class:
  `TdApi`

public static class TdApi.CreateVideoChat extends TdApi.Function<TdApi.GroupCallId>
Creates a video chat (a group call bound to a chat); for basic groups, supergroups and channels only; requires canManageVideoChats administrator right.

Returns `GroupCallId`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of a chat in which the video chat will be created.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isRtmpStream`
  Pass true to create an RTMP stream instead of an ordinary video chat.
  `int`
  `startDate`
  Point in time (Unix timestamp) when the group call is expected to be started by an administrator; 0 to start the video chat immediately.
  `String`
  `title`
  Group call title; if empty, chat title will be used.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateVideoChat()`
  Default constructor for a function, which creates a video chat (a group call bound to a chat); for basic groups, supergroups and channels only; requires canManageVideoChats administrator right.
  `CreateVideoChat(long chatId, String title, int startDate, boolean isRtmpStream)`
  Creates a function, which creates a video chat (a group call bound to a chat); for basic groups, supergroups and channels only; requires canManageVideoChats administrator right.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of a chat in which the video chat will be created.

  - ### title

    public String title
    Group call title; if empty, chat title will be used.

  - ### startDate

    public int startDate
    Point in time (Unix timestamp) when the group call is expected to be started by an administrator; 0 to start the video chat immediately. The date must be at least 10 seconds and at most 8 days in the future.

  - ### isRtmpStream

    public boolean isRtmpStream
    Pass true to create an RTMP stream instead of an ordinary video chat.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CreateVideoChat

    public CreateVideoChat()
    Default constructor for a function, which creates a video chat (a group call bound to a chat); for basic groups, supergroups and channels only; requires canManageVideoChats administrator right.

    Returns `GroupCallId`

  - ### CreateVideoChat

    public CreateVideoChat(long chatId, String title, int startDate, boolean isRtmpStream)
    Creates a function, which creates a video chat (a group call bound to a chat); for basic groups, supergroups and channels only; requires canManageVideoChats administrator right.

    Returns `GroupCallId`

    Parameters:
      `chatId` - Identifier of a chat in which the video chat will be created.
      `title` - Group call title; if empty, chat title will be used.
      `startDate` - Point in time (Unix timestamp) when the group call is expected to be started by an administrator; 0 to start the video chat immediately. The date must be at least 10 seconds and at most 8 days in the future.
      `isRtmpStream` - Pass true to create an RTMP stream instead of an ordinary video chat.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.GroupCallId>`
    Returns:
      this.CONSTRUCTOR